@media (max-width: 1024px) {
    .hero__grid,
    .science__grid,
    .impact__grid,
    .product-page__grid {
        grid-template-columns: 1fr;
    }

    .cta__inner {
        flex-direction: column;
        align-items: flex-start;
    }

    .categories__grid,
    .results__grid,
    .value-promise__grid {
        grid-template-columns: 1fr 1fr;
    }

    .hero__features,
    .science__location-cards,
    .science__data-grid,
    .impact__stats,
    .footer__grid {
        grid-template-columns: 1fr 1fr;
    }
    .about-hero__grid,
    .about-bottom__grid {
        grid-template-columns: 1fr;
    }
    .about-values__grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .about-hero__image {
        min-height: 420px;
    }
 .science-subhero__grid {
        grid-template-columns: 1fr;
    }
    .science-subhero__image {
        min-height: 320px;
    }

    .impact-team__grid {
        grid-template-columns: 1fr;
    }

    .impact-team__panel--image {
        min-height: 360px;
    }

}

@media (max-width: 768px) {
    .main-nav {
        display: none;
    }

    .nav-wrapper {
        flex-wrap: wrap;
    }

    .categories__grid,
    .results__grid,
    .value-promise__grid,
    .science__location-cards,
    .science__data-grid,
    .impact__stats,
    .footer__grid,
    .hero__features {
        grid-template-columns: 1fr;
    }

    .hero__title {
        font-size: 2.5rem;
    }

    .product-card__actions,
    .hero__actions,
    .cta__actions,
    .nav-actions,
    .cart-qty-form {
        flex-direction: column;
        align-items: stretch;
    }

    .value-promise__banner {
        flex-direction: column;
        align-items: flex-start;
    }

    .cart-product {
        flex-direction: column;
        align-items: flex-start;
    }

    .auth-card {
        padding: var(--space-24);
    }
     .about-values__grid {
        grid-template-columns: 1fr;
    }
    .about-bottom__item {
        flex-direction: column;
    }
    .about-hero__title {
        font-size: 3rem;
    }
    .about-hero__image {
        min-height: 320px;
        border-radius: 22px;
    }

    .science-subhero__title {
        font-size: 3rem;
    }
    .science-table th,
    .science-table td {
        padding: 16px 18px;
        font-size: 0.95rem;
    }
    .science-table {
        min-width: 700px;
    }
    .science-table-card {
        overflow-x: auto;
    }

   

    .impact-team__stats {
        grid-template-columns: 1fr;
    }

    .impact-team__panel {
        padding: var(--space-24);
    }

    .impact-team__members {
        justify-content: flex-start;
    }
}


